package body MSHTML.IHTMLBlockElement_Object is

   procedure Put_clear
     (This : IHTMLBlockElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBlockElement_Put_clear,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_clear;

   function Get_clear
     (This : IHTMLBlockElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBlockElement_Get_clear);
   end Get_clear;

end MSHTML.IHTMLBlockElement_Object;

